getTrpcProcedureUrl
Url of a procedure:
{url}/user.byId?{queryParams}&input={input}
.
Query params of the base url are kept, the reserved ones (
input
,
batch
) set by the user are dropped.
Import
import { getTrpcProcedureUrl } from "@hyper-fetch/trpc"
Source
Package
Parameters
getTrpcProcedureUrl(__namedParameters: { endpoint: string; input: undefined | string; protocolParams?: Record<string, string>; queryParams: unknown; url: string })
Parameters
| Name | Type | Description |
|---|---|---|
| __namedParameters | |
Returns
string

